#include <Wire.h>
int led1 = 4;
int led2 = 5;
//int led3=5;
int DIM_AC_LOAD = 11;
int SC_AC_LOAD = 9;
int dimming = 128;
//int temp=A0;

void dim_zero_crosss_int()
{
  int dimtime = (75 * dimming);
  delayMicroseconds(dimtime);
  digitalWrite(DIM_AC_LOAD, HIGH);
  delayMicroseconds(10);
  digitalWrite(DIM_AC_LOAD, LOW);
}

void sc_zero_crosss_int()
{
  int dimtime = (75 * dimming);
  delayMicroseconds(dimtime);
  digitalWrite(SC_AC_LOAD, HIGH);
  delayMicroseconds(10);
  digitalWrite(SC_AC_LOAD, LOW);
}

void setup()
{
  Wire.begin(8);                // join i2c bus with address #8
  Wire.onReceive(receiveEvent); // register event
  Serial.begin(9600);           // start serial for output
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  //  pinMode(led3, OUTPUT);
  pinMode(DIM_AC_LOAD, OUTPUT);
  pinMode(SC_AC_LOAD, OUTPUT);
  attachInterrupt(digitalPinToInterrupt(2), dim_zero_crosss_int, RISING);
  attachInterrupt(digitalPinToInterrupt(3), sc_zero_crosss_int, RISING);
}

void loop()
{
  delay(100);
}

void receiveEvent(int howMany)
{ 

  int x = Wire.read();    // receive byte as an integer
  Serial.println(x);         // print the integer

  if (x == 243)
  {
    digitalWrite(led1, HIGH);
      for (int a = 5; a <= 128; a++)
  {
    dimming = a;
    delay(100);
  }
  }
  else
    digitalWrite(led1, LOW);

  if (x == 255)
    digitalWrite(led2, HIGH);
  else
    digitalWrite(led2, LOW);       
}
/*
void loop()
{
  delay(100);
  if ( wireValue != 0 ) {
    if (x == 243)
    {
      digitalWrite(led1, HIGH);
      for (int a = 5; a <= 128; a++)
      {
        dimming = a;
        delay(100);
      }
    }
    else
    {
      digitalWrite(led1, LOW);
      digitalWrite(led2, LOW);
    }
    if (x == 255)
    {   
      digitalWrite(led2, HIGH);
      for (int a = 80; a <= 128; a++)
      {
        dimming = a;
        delay(100);
      }
    }
    else{
      digitalWrite(led2, LOW);
      digitalWrite(led1, LOW);}
  }
}
void receiveEvent(int howMany)
{
  Serial.print(howMany); 
  Serial.print('\n'); 
  x = Wire.read();    // receive byte as an integer
  Serial.println(x);         // print the integer
  wireValue = x;
}*/
